Class
AlignCols
Pseudo columns container for row-based alignment classes.
AlignCols<TAlign>
Include Headers
seqan/align.h
Parameters

TAlign | Alignment type. Metafunctions: Host

Remarks
This class emulates a container of columns on alignment classes that store the alignment in a container of rows. Note that accessing a row-based alignment column-wise can be significantly slower than accessing the alignment row-wise.
Metafunctions

Host | Type of the object a given object depends on.
Iterator | Type of iterator objects that are used to traverse the container.
Position | Type of an object that represents a position in a container.
Size | Type of an object that is suitable to hold size information.
Value | Type of the items in the container or behind an iterator.

Functions

begin | The begin of a container.
beginPosition | Begin position of object in host.
end | The end of a container.
endPosition | End position of object in host.
host | The object a given object depends on.
iter | Iterator to item at given position.
value | Reference to the value.

See Also
AlignColIterator, Align
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56